<?xml version="1.0" encoding="UTF-8"?>
   <project name="CocktailBeans.makejar" default="makejar" basedir=".">
   
      <target name ="makejar" description="Create a jar for the HW project">
      	<copy todir="./bin/doc/">
      		<fileset dir="doc">
      			<include name="*/**" />
      		</fileset>
      	</copy>
         <jar jarfile="cocktailbeans.jar" includes="org/**,doc/**" basedir="./bin/" manifest="MANIFEST.MF"/>
      	<!-- exclusion des fichiers BeanInfo, Editor, Customizer,… pour ne pas avoir à faire les imports netbeans dans l'applicaton java client -->
      	 <jar jarfile="CocktailBeansClient.jar" includes="org/**,doc/**" excludes ="org/cocktail/component/*BeanInfo*,org/cocktail/component/*Editor*,org/cocktail/component/*Panel*,org/cocktail/component/*GraphicsUtility*"  basedir="./bin/" manifest="MANIFEST.MF"/>
      	 <!-- copier le fichier dans le directory CktlApplicationJavaClient/Client_Libraries -->
      	<copy todir="/Users/christine/Projets/WebObjects/CktlApplicationJavaClient/Client_Libraries/">
      	      		<fileset dir=".">
      	      			<include name="CocktailBeansClient.jar" />
      	      		</fileset>
      	</copy>
     	<copy todir="/Users/christine/Projets/WebObjects/CktlApplicationJavaClient/Libraries">
          	      	 <fileset dir=".">
          	      	    <include name="cocktailbeans.jar" />
          	      	 </fileset>
          </copy>
      	 <!-- copier le fichier dans le directory Mangue/Client_Libraries -->
      	      	<copy todir="/Users/christine/Projets/WebObjects/Gepeto/Mangue/Libraries/Client/">
      	      	      		<fileset dir=".">
      	      	      			<include name="CocktailBeansClient.jar" />
      	      	      		</fileset>
      	      	</copy>
      	<copy todir="/Users/christine/Projets/WebObjects/Gepeto/Mangue/Libraries/Server/">
      	      	      		<fileset dir=".">
      	      	      			<include name="cocktailbeans.jar" />
      	      	      		</fileset>
      	</copy>
   	 <!-- copier le fichier dans le directory Connecteur/Client_Libraries -->
         	      	<copy todir="/Users/christine/Projets/WebObjects/ConnecteurCocktail/Connecteur/Libraries/Client/">
         	      	      		<fileset dir=".">
         	      	      			<include name="CocktailBeansClient.jar" />
         	      	      		</fileset>
         	      	</copy>
         	<copy todir="/Users/christine/Projets/WebObjects/ConnecteurCocktail/Connecteur/Libraries/Server/">
         	      	      		<fileset dir=".">
         	      	      			<include name="cocktailbeans.jar" />
         	      	      		</fileset>
         	</copy>
      </target>
  
</project>